MP4(3)

NAME

MP4DeleteTrack - Delete a track

SYNTAX

#include <mp4.h>

bool MP4DeleteTrack(
    MP4FileHandle hFile,
    MP4TrackId trackId
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track to which the operation applies.

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4DeleteTrack deletes the control information associated with the specified track. The trackId will become invalid if this call succeeds.

Note that the samples associated with this track are not deleted with this call. This can be accomplished via MP4Optimize(). The reason for this is that multiple tracks can reference the same samples so a global view must be taken when deleting them.

SEE ALSO

MP4(3)